Bug 205121 - AttributeError: InstallControlState instance has no attribute 'readHTML' in Anaconda
AttributeError: InstallControlState instance has no attribute 'readHTML' in A...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-04 07:48 EDT by Jasper O. Hartline
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 15:40:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jasper O. Hartline 2006-09-04 07:48:33 EDT
Description of problem:
While running Anaconda under Kadischi, the Fedora Core LiveCD installer LiveCD
creator, iI get an exception in one of the first few frames. Here is a snippet
of the exception below:
---------------------------
Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 920, in nextClicked
    self.setScreen ()
  File "/usr/lib/anaconda/gui.py", line 1005, in setScreen
    self.currentWindow = newScreenClass(ics)
  File "/usr/lib/anaconda/iw/kbd_gui.py", line 25, in __init__
    installKeyboardWindow.__init__(self, ics)
  File "/usr/share/firstboot/firstboot_module_window.py", line 37, in __init__
    self.setupICS()
  File "/usr/share/firstboot/firstboot_module_window.py", line 43, in setupICS
    self.ics.readHTML(self.htmlTag)
AttributeError: InstallControlState instance has no attribute 'readHTML'
Local variables in innermost frame:
self: <kbd_gui.KeyboardWindow instance at 0xb7979a2c>
----------------------------

Test modes Anaconda and Kadischi run fine.
No exceptions.

Version-Release number of selected component (if applicable):
anaconda-11.1.0.89-1

How reproducible:
Run Kadischi and Anaconda to build a LiveCD.

Steps to Reproduce:
1. kadischi --graphical /path/to/repository/ -f /tmp/rawhide.iso
2.
3.
  
Actual results:
Exception in the Anaconda installer.

Expected results:
Shouldn't traceback, should build LiveCD.

Additional info:
There is no additional information at this time.
Comment 1 Chris Lumens 2006-09-05 14:00:02 EDT
What version of firstboot do you have installed?
Comment 2 Jasper O. Hartline 2006-09-05 15:17:54 EDT
firstboot-1.4.6-1 which I thought was the latest package out of development, I
assumed wrong. The current package does not exhibit the same exception. 

The build process works as it should. 
Thank you.

Note You need to log in before you can comment on or make changes to this bug.